package app;


import pps.core.common.utils.CounterBuilder;
import xstartup.base.XStartup;
import xstartup.base.conf.XServerConf;
import xstartup.base.conf.XServiceConf;
import xstartup.boot.XStartupApplication;
import xstartup.feature.XSwaggerDocFeature;
import xstartup.feature.api.XApiFeature;
import xstartup.feature.api.conf.XApiCookieConf;
import xstartup.feature.cloud.XCloudAlibabaFeature;
import xstartup.feature.cors.XCorsFeature;
import xstartup.feature.mybatis.XMybatisFeature;
import xstartup.feature.rpc.XRpcFeature;

/**
 * 系统用户模块启动程序
 *
 * @author ZWT
 * @date 2023/11/28
 */
public class DeployPpsSystemApplication {
    public static void main(String... args) {
        CounterBuilder.globalCounterBuilder.setFieldValue(CounterBuilder.DEPLOY_KEY, DeployPpsSystemApplication.class.getSimpleName());
        XStartup startup = new XStartupApplication("pps");
        startup.config(new XServerConf(22061).naming("pps-base-info"))
                .config(new XServiceConf("pps"));
        startup.enable(XApiFeature.class)
                .config(new XApiCookieConf("%4bH8s9&", 43200));
        startup.enable(XCloudAlibabaFeature.class);
        startup.enable(XSwaggerDocFeature.class);
        startup.enable(XMybatisFeature.class);
        startup.enable(XRpcFeature.class);
        startup.enable(XCorsFeature.class);
        startup.run(args);
    }
}
